﻿using System.Windows.Controls;
using System.Windows;
using System.Windows.Media;

namespace RotationalInertiaDemo
{
    public class ValueMeter : ProgressBar
    {
        public static readonly DependencyProperty UnitsLabelProperty =
            DependencyProperty.Register("UnitsLabel",
                typeof(string),
                typeof(ValueMeter));

        public static readonly DependencyProperty TickValuesProperty =
            DependencyProperty.Register("TickValues",
                typeof(DoubleCollection),
                typeof(ValueMeter));

        public static readonly DependencyProperty TickLabelProperty =
            DependencyProperty.Register("TickLabel",
                typeof(string),
                typeof(ValueMeter),
                new PropertyMetadata("%"));

        public ValueMeter()
        {
            TickValues = new DoubleCollection(new double[]
                {
                    0, 20, 40, 60, 80, 100
                });
        }

        public string UnitsLabel
        {
            set { SetValue(UnitsLabelProperty, value); }
            get { return (string)GetValue(UnitsLabelProperty); }
        }

        public string TickLabel
        {
            set { SetValue(TickLabelProperty, value); }
            get { return (string)GetValue(TickLabelProperty); }
        }

        public DoubleCollection TickValues
        {
            set { SetValue(TickValuesProperty, value); }
            get { return (DoubleCollection)GetValue(TickValuesProperty); }
        }
    }
}
